Modify

Opened 4 years ago

Closed 4 years ago

Last modified 20 months ago

#8437 closed defect (invalid)

0.12 support

Reported by: mike@… Owned by: siniy
Priority: normal Component: TeamcityPluginIntegration
Severity: normal Keywords:
Cc: johnatannvmd Trac Release: 0.12

Description

This plugin doesn't seem to be recognized by my 0.12.1 instance. Hoping support can be implemented.

Attachments (0)

Change History (7)

comment:1 Changed 4 years ago by rjollos

Do you see any errors when starting Trac? Set the log level to debug and restart Trac.

comment:2 follow-up: Changed 4 years ago by anonymous

  • Resolution set to invalid
  • Status changed from new to closed

Ah, thank you for pointing out the logs. I was missing lxml.

comment:3 in reply to: ↑ 2 ; follow-up: Changed 4 years ago by rjollos

Replying to anonymous:

I was missing lxml.

If that's a dependency, perhaps we can document it at TeamcityPluginIntegration#Installation.

comment:4 in reply to: ↑ 3 Changed 4 years ago by rjollos

Replying to rjollos:

If that's a dependency, perhaps we can document it at TeamcityPluginIntegration#Installation.

Went ahead and added a step for installing lxml to the install steps - wiki changeset.

comment:5 follow-up: Changed 4 years ago by rjollos

I would also suggest that the plugin author add something like install_requires = ['lxml'] to setup.py.

comment:6 Changed 20 months ago by rjollos

  • Cc johnatannvmd added; anonymous removed

I've tagged the project page with 0.12 based on this ticket.

comment:7 in reply to: ↑ 5 Changed 20 months ago by rjollos

Replying to rjollos:

I would also suggest that the plugin author add something like install_requires = ['lxml'] to setup.py.

It looks like this was added in [10081].

Add Comment

Modify Ticket

Action
as closed The owner will remain siniy.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.